package com.hzs.report.member.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.hzs.common.domain.report.stat.CuLianchuangDataStat;
import com.hzs.report.member.vo.AbroadDataStatVO;
import com.hzs.report.member.vo.CuLianchuangDataStatVO;

import java.util.List;

/**
 * 联创报表统计 服务类
 */
public interface ICuLianchuangDataStatService extends IService<CuLianchuangDataStat> {

    /**
     * 查询联创数据报表
     **/
    List<CuLianchuangDataStatVO> lcStatList(List<CuLianchuangDataStat> lcList);

    List<CuLianchuangDataStatVO> lcStatListByOrdeType(List<Integer> orderTypeList, Integer orderType, CuLianchuangDataStat lcDate);

    /**
     * 联创数据查询
     **/
    List<CuLianchuangDataStatVO> newLcStatListByOrdeType(CuLianchuangDataStatVO lcDate, Long pkMember);

    /**
     * 数据报表-联创统计历史业绩数据
     **/
    List<CuLianchuangDataStatVO> lcStatOrdeHistoryList(CuLianchuangDataStatVO cds, CuLianchuangDataStat lcDate);

    /**
     * 数据报表-联创统计历史业绩累计数据
     **/
    List<CuLianchuangDataStatVO> lcStatOrderHistorySumList(CuLianchuangDataStatVO cds, CuLianchuangDataStat lcDate);

    /**
     * 查询国外数据报表
     **/
    List<AbroadDataStatVO> abroadStatList(List<CuLianchuangDataStatVO> pkCountryList, String startDate, String endDate);

    /**
     * 国家列表
     **/
    List<CuLianchuangDataStatVO> countryList();

    /**
     * 删除查询联创数据报表条件
     **/
    boolean deleteLcStat(List<Long> pkIdList);

}
